<h3>Hello {{name}}</h3>

<br />
<h4 *ngIf="age > 18">Bạn quá già rồi!</h4>
<h4 *ngIf="age <= 18">Bạn còn trẻ lắm!</h4>

<br />
<div *ngIf="age <= 18; then young; else old">ng template</div>
<ng-template #old>
    <h4>Bạn quá già rồi!</h4>
</ng-template>
<ng-template #young>
    <h4>Bạn còn trẻ lắm!</h4>
</ng-template>

<br />
<input [(ngModel)]="age" />

<br />

<h2>Trái cây</h2>

<ul *ngFor="let fruit of fruits; let i = index">
    <li>{{i + 1}} - {{fruit}}</li>
</ul>

<table class="table">
  <tr>
    <th>STT</th>
    <th>Tên</th>
    <th>Giá</th>
    <th>Đại Hạ Giá</th>
  </tr>
  <tr *ngFor="let fruit of fruitsAndPrice; let i = index">
    <td>{{i + 1}}</td>
    <td>{{fruit.name | uppercase}}</td>
    <td [ngClass]="{'negative-number': fruit.price < 0}">
      {{fruit.price | currency: 'VND'}}
    </td>
    <td>
      <span>{{fruit.saleOff | onSale | lowercase}}</span>
    </td>
  </tr>
</table>

<br />

<label>Tỉnh/ Thành phố</label>
<select id="province" (change)="onChangeProvince($event)">
  <option *ngFor="let p of provinces" value="{{p.city}}">
    {{p.city}}
  </option>
</select>

<br />
<br />
<br />
<label>Quận/ Huyện</label>
<select id="district">
  <option *ngFor="let district of districts" value="{{district}}">
    {{district}}
  </option>
</select>

<br/>
<label>Counter: {{counter}}</label>
<br/>
<label>CounterSqrt: {{counterSqrt}}</label>
